// creator  : weidu.exe (version 23100)
// argument : TAXCOLL.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TAXCOLL~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(4,1)
~ THEN BEGIN 0 // from:
  SAY #29601 /* ~Hmmn... that's three trade bars... and fifty dantars... how much is that in gold...?  Hmmn...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(4,2)
~ THEN BEGIN 1 // from:
  SAY #29602 /* ~Hmmm... have you paid your taxes?  I wonder if you're on my list.  I must have you somewhere...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(4,3)
~ THEN BEGIN 2 // from:
  SAY #29603 /* ~I only collect the home taxes... harbor taxes are collected at the docks.  If you want to pay for your trade booth, do it at the main office.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 /* Triggers after states #: 6 even though they appear after this state */
~RandomNum(4,4)
~ THEN BEGIN 3 // from:
  SAY #29604 /* ~I don't know why everybody avoids me.  You would think I was a mad Bhaali priest or something.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #29605 /* ~Wait one minute... you!  You're Jan Jansen, aren't you?  Four years behind on your home tax?  Selling without a license?~ */
  IF ~~ THEN EXTERN ~JANJ~ 76
END

IF ~~ THEN BEGIN 5 // from:
  SAY #29608 /* ~Oh, I see.  Well, all right then.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
RandomNum(2,1)
Global("Nalia","LOCALS",0)
~ THEN BEGIN 6 // from:
  SAY #29609 /* ~Young lady... why are you giving me such a queer look?~ */
  IF ~~ THEN DO ~SetGlobal("Nalia","LOCALS",1)
~ EXTERN ~NALIAJ~ 131
END
